## mrtg-rrd 0.7

=== Makefile ===
# $Id: Makefile,v 1.7 2003/08/18 15:58:57 kas Exp $

FILES = COPYING FAQ TODO Makefile mrtg-rrd.cgi ChangeLog

TARGETS = mrtg-rrd.fcgi

VERSION = 0.7

all: $(TARGETS)

mrtg-rrd.fcgi: mrtg-rrd.cgi
	-rm -f mrtg-rrd.fcgi
	sed -e '/^#--BEGIN CGI--/,/^#--END CGI--/d' -e '/^#--BEGIN FCGI--/,/^#--END FCGI--/s/^#-# //' <mrtg-rrd.cgi >mrtg-rrd.fcgi
	chmod +x mrtg-rrd.fcgi

clean:
	-rm -f $(TARGETS)

dist:
	rm -rf mrtg-rrd-$(VERSION)
	mkdir mrtg-rrd-$(VERSION)
	cp $(FILES) mrtg-rrd-$(VERSION)
	tar cf - mrtg-rrd-$(VERSION) | gzip -9 > mrtg-rrd-$(VERSION).tar.gz
	-rm -rf mrtg-rrd-$(VERSION)

=== debian/changelog ===
mrtg-rrd (0.7-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch dropping 'defined' from 'defined @array' and 'defined %hash'
    constructs, that are fatal in perl 5.22
    Closes: 787608

 -- Damyan Ivanov <dmn@debian.org>  Wed, 22 Jul 2015 18:40:51 +0000

mrtg-rrd (0.7-5) unstable; urgency=low

  * Bump Standards-Version to 3.9.3
  * Move repository to svn.debian.org
    - svn://svn.debian.org/svn/collab-maint/deb-maint/mrtg-rrd
  * Change source format to 3.0 (quilt)

 -- Taku YASUI <tach@debian.org>  Sat, 31 Mar 2012 06:43:25 +0900

mrtg-rrd (0.7-4) unstable; urgency=low

  * Add "Suggests: rrdtool" to debian/control
  * Write notification when the user want to use "LogFormat: rrdtool"
    (closes: #576075)

 -- Taku YASUI <tach@debian.org>  Sun, 14 Nov 2010 00:57:33 +0900

mrtg-rrd (0.7-3) unstable; urgency=low

  * Change Priority: extra

 -- Taku YASUI <tach@debian.org>  Tue, 21 Apr 2009 14:25:22 +0900

mrtg-rrd (0.7-2) unstable; urgency=low

  * Change maintainer email address: tach@debian.org
  * New Standards-Version: 3.8.1
  * Update debhelper compat version: 5
  * New style debian/copyright format
    http://wiki.debian.org/Proposals/CopyrightFormat?action=recall&rev=454
  * Add debian/watch file

 -- Taku YASUI <tach@debian.org>  Tue, 21 Apr 2009 12:27:42 +0900

mrtg-rrd (0.7-1) unstable; urgency=low

  * New upstream release
  * Change to use cdbs
  * Fix FSF address on copyright
  * Upload to Debian archive
    (closes: #181442)

 -- Taku YASUI <tach@debian.or.jp>  Thu, 29 Sep 2005 04:09:59 +0900

mrtg-rrd (0.5-1) unstable; urgency=low

  * Initial Release.

 -- Taku YASUI <tach@debian.or.jp>  Sun,  2 Feb 2003 18:40:39 +0900

=== debian/control ===
Source: mrtg-rrd
Section: web
Priority: extra
Maintainer: Taku YASUI <tach@debian.org>
Build-Depends: cdbs, debhelper (>= 5), quilt
Homepage: http://www.fi.muni.cz/~kas/mrtg-rrd/
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/mrtg-rrd
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/mrtg-rrd

Package: mrtg-rrd
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, mrtg, librrds-perl
Suggests: rrdtool
Description: Generating graphs for MRTG statistics (CGI)
 mrtg-rrd is a replacement for the 14all.cgi script distributed in the
 MRTG contrib directory.  It is the script which can generate on-the-fly
 HTML output and graph images from the MRTG statistics.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

binary-install/mrtg-rrd::
	install -m755 mrtg-rrd.cgi $(DEB_DESTDIR)/usr/lib/cgi-bin
	install -m644 debian/mrtg-rrd.conf $(CURDIR)/debian/mrtg-rrd/etc

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3
# URL to the package page followed by a regex to search
ftp://ftp.linux.cz/pub/linux/people/jan_kasprzak/mrtg-rrd/   .*\bmrtg-rrd-v?(\d[\d_.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
